#include<iostream>
using namespace std;

int a[1000001];

int main()
{
	ios_base::sync_with_stdio(false);
	cin.tie(NULL);

	int n, x;
	int minK = 0, maxK = 0;
		
	cin >> n >> x;
	for (int i = 0; i < n; i++)
	{
		cin >> a[i];
	}
	for (int i = 1; i < n; i++)
	{
		if (a[i] > a[maxK])
			maxK = i;
		else if (a[i] < a[minK])
			minK = i;
	}

	if (x > a[minK] && x < a[maxK])
	{
		if (abs(a[minK] - x) < abs(a[maxK] - x))
		{
			cout << 2 * abs(a[minK] - x) + abs(a[maxK] - x);
		}
		else
		{
			cout << abs(a[minK] - x) + 2 * abs(a[maxK] - x);
		}
	}
	else
	{
		if (x < a[minK])
		{
			cout << abs(x - a[maxK]);
		}
		else
		{
			cout << abs(x - a[minK]);
		}

	}
	
	return 0;
}